%define python_site %(echo `python -c "import sys; print (sys.prefix + '/lib/python' + sys.version[:3] + '/site-packages')"`)
%define python_include %(echo `python -c "import sys; print (sys.prefix + '/include/python' + sys.version[:3])"`)
%define _findprov_lib_path %python_site 

Summary: Python bindings for Qt.
Name: PyQt
Version: 3.11
Release: alt1
Copyright: GPL
Group: Development/Python
#%define __version snapshot-20030407
Source: http://www.riverbankcomputing.co.uk/download/pyqt/%{name}-x11-gpl-%version.tar.gz
URL: http://www.riverbankcomputing.co.uk/pyqt/
Requires: sip >= %version-%release
Requires: libqscintilla >= 1.1

# Automatically added by buildreq on Wed May 19 2004
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ libGLU-devel libqscintilla-devel libqt3-devel libstdc++-devel python-base >= 2.3 python-dev python-modules-compiler python-modules-encodings sip-devel

%description
Python bindings for the Qt C++ class library.  Also includes a PyQt backend
code generator for Qt Designer.

%package devel
Requires: PyQt = %version-%release
Summary:  Sip files for %name
Group: Development/Python

%description devel
Sip files for PyQt to build extension

%prep
%setup -n %name-x11-gpl-%version

%build
rm -rf %buildroot
mkdir -p %buildroot%_bindir
mkdir -p %buildroot%{python_site}
export QTDIR=%_libdir/qt3
echo 'yes' | python configure.py 
#-d %buildroot%{python_site}
#-b %buildroot%_bindir 
make

%install
export QTDIR=%_libdir/qt3
mkdir -p %buildroot%{python_site}
make install DESTDIR=%buildroot
#mkdir -p %buildroot%_datadir/PyQt/sip
#cp -r sip/* %buildroot%_datadir/PyQt/sip

%files
%_bindir/*
%{python_site}/*
%doc NEWS README README.Linux ChangeLog doc/* examples3

%files devel
%dir %_datadir/sip
%_datadir/sip/*

%changelog
* Tue Apr 20 2004 Serge V. Sergeev <ssv@altlinux.ru> 3.11-alt1
- new release

* Mon Feb 16 2004 Serge V. Sergeev <ssv@altlinux.ru> 3.10-alt1
- new release

* Fri Feb 06 2004 Serge V. Sergeev <ssv@altlinux.ru> 3.9-alt2
- increase release to get a rid of unmet to sip

* Thu Dec 11 2003 Serge V. Sergeev <ssv@altlinux.ru> 3.9-alt1
- new release

* Fri Aug 01 2003 Serge Sergeev <ssv@altlinux.ru> 3.7-alt2
- added _findprov_lib_path macro to temporary solve problem with dependencies

* Tue Jul 08 2003 Serge Sergeev <ssv@altlinux.ru> 3.7-alt1
- new release

* Mon Apr 28 2003 Serge Sergeev <ssv@altlinux.ru> 3.6-alt1
- new release

* Thu Apr 10 2003 Serge Sergeev <ssv@altlinux.ru> 3.6-alt0.1
- New build from snapshot

* Fri Dec 20 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt2
- comment patch added ( this comment line needs for eric )
- add devel package ( need to build some extension of qt )

* Tue Dec 17 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt1
- build with qscintilla
- new release

* Mon Dec 16 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt0.1.20021205
- correct version

* Sat Dec 07 2002 Serge Sergeev <ssv@altlinux.ru> 20021205-alt1
- build from snapshot
- add documentation

* Tue Nov 05 2002 Serge Sergeev <ssv@altlinux.ru> 3.4-alt1
- new release

* Wed Sep 04 2002 Serge Sergeev <ssv@altlinux.ru> 3.3.2-alt1
- new release

* Thu Jul 25  2002 <sergeyssv@mail.ru>
- Initial release

